# 
#    Copyright (c) 2012 Boulder Real Time Technologies, Inc.
#    All rights reserved. 
#                                                                     
#    Written by Dr. Kent Lindquist, Boulder Real Time Technologies, Inc. 

#    This software module is wholly owned by Boulder Real Time Technologies,
#    Inc. Any use of this software module without express 
#    written permission from Boulder Real Time Technologies, Inc. is 
#    prohibited.

from twisted.web.resource import Resource
from twisted.web import server

import rtwebserver.config as config

import demoweb


class MyResource(Resource):

    def __init__(self):

        super().__init__()
        self.dw = demoweb.DemoWeb(config.sitedict)

    def render_GET(self, request):
        
        self.dw.write_htmlhead(request, 'Recent Earthquakes from GSN Demo')

        self.dw.write_htmlbodystart(request)

        self.dw.write_mainnav(request, activepage='dbevents')

        request.write("""
        <h2>Recent Earthquakes from GSN Demo</h2>

        <a href="/dynamic/ximage?streamname=dbevents">
        <img class="centerimage" alt="Recent earthquakes in dbevents for GSN Demo" src="/dynamic/ximage?streamname=dbevents"/>
        </a>
                """.encode('utf-8'))

        self.dw.write_htmlbodyfinish(request)

        return server.NOT_DONE_YET


resource = MyResource()
