# 
#    Copyright (c) 2012 Boulder Real Time Technologies, Inc.
#    All rights reserved.
#                                                                     
#    Written by Dr. Kent Lindquist, Boulder Real Time Technologies, Inc.

#    This software module is wholly owned by Boulder Real Time Technologies,
#    Inc. Any use of this software module without express 
#    written permission from Boulder Real Time Technologies, Inc. is 
#    prohibited.

from twisted.web.resource import Resource
from twisted.web import server

import rtwebserver.config as config

import demoweb


class MyResource(Resource):

    def __init__(self):

        super().__init__()
        self.dw = demoweb.DemoWeb(config.sitedict)

    def render_GET(self, request):

        if request.rstrict is not None:
            self.dw.write_forbidden(request)

        else:
            self.dw.write_htmlhead(request, "GSN Demo Orb Sources".encode('utf-8'))

            self.dw.write_htmlbodystart(request)

            self.dw.write_mainnav(request, activepage='sources')

            request.write("""
        <h2>GSN Demo Orb Sources</span></h2>

        <a href="/dynamic/ximage?streamname=orbstat_gui_s">
        <img class="centerimage" alt="sources display" src="/dynamic/ximage?streamname=orbstat_gui_s"/>
        </a>
                """.encode('utf-8'))

            self.dw.write_htmlbodyfinish(request)

            return server.NOT_DONE_YET


resource = MyResource()
